#pragma once

#include <FlashTool/FlashTool.h>

//=====================================================================================//
//                                  class FlvCompiler                                  //
//=====================================================================================//
class FlvCompiler
{
private:

	HFTSCREENVIDEOENCODER m_hScreenVideoEncoder;
	HFTFLVSTREAM m_hFlvStream;
	unsigned int m_height;
	unsigned int m_width;
	std::ofstream m_file;

public:
	FlvCompiler(const std::string& file_name);
	~FlvCompiler();
public:
	///	add frame to flv stream
	bool addFrame(const std::string& image_file_name,unsigned int timestamp);

private:
	///	check flv stream state and parameters
	bool checkFlvStream(unsigned int width,unsigned int height);

};

